classification
Title: Add a "What's New" entry for PEP 519
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: berker.peksag, brett.cannon
Priority: deferred blocker Keywords: patch

Created on 2016-06-09 23:01 by brett.cannon, last changed 2016-08-26 21:46 by brett.cannon. This issue is now closed.

Files
File name Uploaded Description Edit
pep_519_whatsnew.diff brett.cannon, 2016-08-19 22:51 review
pep_519_whatsnew.diff brett.cannon, 2016-08-20 17:04 Addresses SilentGhost's and Berker's comments review
Messages (5)
msg268066 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2016-06-09 23:01
Issue to track the fact that I need to write the "What's New" entry once all other PEP 519-related work is finished.
msg273163 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2016-08-19 22:51
While I wait on various patches related to PEP 519 to land, I have gone ahead and written the What's New entry.
msg273186 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-08-20 04:20
pep_519_whatsnew.diff looks pretty good to me, thanks! It would be nice to add a simple example to demonstrate the feature (like we did for PEP 498: https://docs.python.org/3.6/whatsnew/3.6.html#pep-498-formatted-string-literals)

>>> import pathlib
>>> with open(pathlib.Path('README')) as f:
...   readme = f.read()
...
msg273227 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2016-08-20 17:04
Here is an updated patch to address SilentGhost's review comments and a couple of examples as Berker suggested.
msg273736 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2016-08-26 21:46
Applied in https://hg.python.org/cpython/rev/95361959d451
History
Date User Action Args
2016-08-26 21:46:48brett.cannonsetstatus: open -> closed
resolution: fixed
messages: + msg273736

stage: commit review -> resolved
2016-08-20 17:04:32brett.cannonsetfiles: + pep_519_whatsnew.diff

messages: + msg273227
2016-08-20 04:20:53berker.peksagsetnosy: + berker.peksag
messages: + msg273186

type: enhancement
stage: patch review -> commit review
2016-08-19 22:51:14brett.cannonsetstage: needs patch -> patch review
2016-08-19 22:51:07brett.cannonsetfiles: + pep_519_whatsnew.diff
keywords: + patch
messages: + msg273163
2016-06-24 20:43:30brett.cannonunlinkissue27182 dependencies
2016-06-09 23:02:31brett.cannonlinkissue27182 dependencies
2016-06-09 23:01:59brett.cannoncreate